precision mediump float;		//给出默认浮点精度
varying vec2 vTextureCoord;			//接收从顶点着色器传递过来的纹理坐标
varying vec3 vPosition;  				//接收从顶点着色器传递过来的顶点位置

uniform sampler2D m_DiffuseMap;		//纹理内容数据（外观）
uniform mat4 g_WorldMatrix; 				//变换矩阵
uniform vec3 g_CameraPosition;				//摄像机位置
uniform vec3 g_LightPosition;		//光源位置

uniform float m_debug_color_r;
uniform float m_debug_color_g;
uniform float m_debug_color_b;

void main(){   
   vec4 result = vec4(0.0);
   result.r += m_debug_color_r;
   result.g += m_debug_color_g;
   result.b += m_debug_color_b;
    
   if(result.a < 0.5){
       result.a = 0.3;
   }
   
   gl_FragColor = result;
    
}