precision mediump float;
varying  vec4 aaColor; 
varying vec2 vTextureCoord;			//接收从顶点着色器传递过来的纹理坐标

uniform sampler2D m_DiffuseMap;		//纹理内容数据（外观）

void main()                         
{                   
   vec4 finalColor=texture2D(m_DiffuseMap, vTextureCoord);	//根据纹理坐标采样出片元颜色值 
    
   gl_FragColor = finalColor;

}