#ifdef USE_TEXTURE
uniform sampler2D m_Texture;
varying vec4 texCoord;
#endif

varying vec4 color;

void main(){
    
    #ifdef USE_TEXTURE
        #ifdef POINT_SPRITE
            vec2 uv = mix(texCoord.xy, texCoord.zw, gl_PointCoord.xy);
        #else
            vec2 uv = texCoord.xy;
        #endif
        gl_FragColor = texture2D(m_Texture, uv) * color;

    #else
        gl_FragColor = color;
    #endif
    //gl_FragColor.a = 1.0;
    //gl_FragColor.b = 0.5;
    //gl_FragColor = vec4(1.0,0.0,0.0,1.0);
    //if(color.r <= 1.0)
    //	gl_FragColor.r = color.r;
    //gl_FragColor.g = color.g;
    //gl_FragColor.b = color.b;
    //gl_FragColor.a = 0.5;//color.a;
}