uniform mat4 g_WorldViewProjectionMatrix; 
attribute vec3 inPosition;  
attribute vec4 inColor;   
attribute vec2 inTexCoord;    		//顶点纹理坐标
 
varying  vec4 aaColor;  
varying vec2 vTextureCoord;  		//用于传递给片元着色器的纹理坐标

void main()     
{                            		
   gl_Position = g_WorldViewProjectionMatrix * vec4(inPosition,1); 
   vTextureCoord=inTexCoord;					//将顶点的纹理坐标传给片元着色器
   
   aaColor = inColor;
}